umbrello: DefaultCodeGenPolicyPage Class Reference

umbrello 2.37.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
DefaultCodeGenPolicyPage Class Reference

`#include <defaultcodegenpolicypage.h>`

Inheritance diagram for DefaultCodeGenPolicyPage:

## Public Member Functions
| DefaultCodeGenPolicyPage (QWidget *parent=0, const char *name=0, CodeGenPolicyExt *policy=0)
| ~DefaultCodeGenPolicyPage ()
Public Member Functions inherited from CodeGenerationPolicyPage
| CodeGenerationPolicyPage (QWidget *parent=0, const char *name=0, CodeGenPolicyExt *policy=0)
virtual | ~CodeGenerationPolicyPage ()
void | setDefaults ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Private Attributes
QLabel * | m_textLabel

## Additional Inherited Members
Public Slots inherited from CodeGenerationPolicyPage
virtual void | apply ()
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)
Protected Attributes inherited from CodeGenerationPolicyPage
CodeGenPolicyExt * | m_parentPolicy
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Constructor & Destructor Documentation

## ◆ DefaultCodeGenPolicyPage()

DefaultCodeGenPolicyPage::DefaultCodeGenPolicyPage | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | CodeGenPolicyExt * | policy = `0`
| ) |  |
| explicit

This is the page which comes up IF there is no special options for the code generator.

## ◆ ~DefaultCodeGenPolicyPage()

DefaultCodeGenPolicyPage::~DefaultCodeGenPolicyPage | ( |  | ) |

## Member Data Documentation

## ◆ m_textLabel

QLabel* DefaultCodeGenPolicyPage::m_textLabel
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/defaultcodegenpolicypage.h
- umbrello/dialogs/pages/defaultcodegenpolicypage.cpp